## org.apache.poi.hslf.blip
Class PNG

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Bitmap
              org.apache.poi.hslf.blip.PNG

    public final class PNG

extends Bitmap

Represents a PNG picture data in a PPT file

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.usermodel.PictureData
`CHECKSUM_SIZE, logger, offset, painters`

Constructor Summary
`PNG()`

Method Summary
`byte[]` `getData()` Returns the binary data of this Picture
`int` `getSignature()` PNG signature is `0x6E00`
`int` `getType()` Returns type of this picture.

Methods inherited from class org.apache.poi.hslf.blip.Bitmap
`setData`

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getHeader, getImagePainter, getOffset, getRawData, getSize, getUID, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNG

    public PNG()

Method Detail

### getData

    public byte[] getData()

  Description copied from class: `PictureData`
  Returns the binary data of this Picture

  Overrides:
    `getData` in class `Bitmap`
  Returns:
    PNG data

### getType

    public int getType()

  Description copied from class: `PictureData`
  Returns type of this picture. Must be one of the static constants defined in the `Picture`class.

  ``
  Specified by:
    `getType` in class `PictureData`
  Returns:
    type of this picture
  See Also:
    `Picture.PNG`

### getSignature

    public int getSignature()

  PNG signature is `0x6E00`

  Specified by:
    `getSignature` in class `PictureData`
  Returns:
    PNG signature (`0x6E00`)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.